<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
                        http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context
                        http://www.springframework.org/schema/context/spring-context.xsd">
    <!-- Activation des annotations -->
    <context:annotation-config />
    <context:component-scan base-package="fr.dawan.formation.springcore" />

<bean id="daoA" class="fr.dawan.formation.springcore.beans.ArticleDao" >
    <property name="data" value="daoArticle"/>
    <property name="url" value="localhost://"/>
</bean>

<!-- <bean id="daoB" class="fr.dawan.formation.springcore.beans.ArticleDao" lazy-init="true"> -->
<!--      <constructor-arg name="url" value="localhost://" /> -->
<!--      <constructor-arg  name="data" value="daoB" /> -->
<!-- </bean> -->

<bean id="serviceA" class="fr.dawan.formation.springcore.beans.ArticleService"/>


</beans> 